Bug 36938 - Nut is compiled with wrong group
Summary: Nut is compiled with wrong group
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nut   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-20 23:21 UTC by Andreas Thienemann
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-20 23:21:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Thienemann 2001-04-20 23:21:19 UTC
The network ups tools are designed to drop root privileges before opening the serial port to communicate
with the ups.
Thus the nut package has to be told during compile time as which user and group it has to open the serial
port.
Unfortunately it seems that nut was compiled to open the port as nobody/nogroup.
This results in two problems:

 - The group nogroup does not exist ("getgrnam() failed: group nogroup does not exist" is shown when trying to start nut)
 - The serial terminals /dev/ttyS0 etc. are owned by root/uucp. Thus nut should be compiled to run as group uucp.

Comment 1 Ngo Than 2001-04-22 15:53:21 UTC
It's fixed in nut-0.44.3-1. You find it in rawhide.


Note You need to log in before you can comment on or make changes to this bug.